Last Comment Bug 735666 - crash [@ nsIDocument::GetContainer() ]
: crash [@ nsIDocument::GetContainer() ]
Status: VERIFIED FIXED
[qa!]
: crash, regression
Product: Core
Classification: Components
Component: Disability Access APIs (show other bugs)
: 12 Branch
: All Windows 7
: -- critical (vote)
: mozilla14
Assigned To: alexander :surkov
:
: alexander :surkov
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-14 07:33 PDT by Marco Zehe (:MarcoZ)
Modified: 2012-04-03 01:35 PDT (History)
8 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
verified
verified


Attachments
patch (1.74 KB, patch)
2012-03-14 10:07 PDT, alexander :surkov
tbsaunde+mozbugs: review+
akeybl: approval‑mozilla‑aurora+
akeybl: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Description Marco Zehe (:MarcoZ) 2012-03-14 07:33:12 PDT
+++ This bug was initially created as a clone of Bug #597963 +++

It reappeared in Firefox 12.0a2 and was reported to me by a community member. However since that is on Windows where the original bug was on Linux, creating a new report for it. The report is:
https://crash-stats.mozilla.com/report/index/bp-cd712733-aaae-4bd1-b282-923d82120304
Comment 1 Marco Zehe (:MarcoZ) 2012-03-14 07:35:41 PDT
And another report:
https://crash-stats.mozilla.com/report/index/bp-7c979555-4aed-4d82-ba64-4c9802120301
Comment 2 alexander :surkov 2012-03-14 08:56:47 PDT
it appears we shutdown the shutdown document
Comment 3 alexander :surkov 2012-03-14 10:07:45 PDT
Created attachment 605820 [details] [diff] [review]
patch
Comment 4 Scoobidiver (away) 2012-03-14 10:51:59 PDT
It's #35 top browser crasher in 12.0a2.
Comment 6 alexander :surkov 2012-03-14 13:39:54 PDT
Marco, could you keep an eye on the bug and port the patch to branches?
Comment 7 Marco Bonardo [::mak] 2012-03-15 08:15:58 PDT
https://hg.mozilla.org/mozilla-central/rev/5392a82cabeb
Comment 8 Marco Zehe (:MarcoZ) 2012-03-23 02:23:47 PDT
Comment on attachment 605820 [details] [diff] [review]
patch

[Approval Request Comment]
Regression caused by (bug #): unknown
User impact if declined: Crashes
Testing completed (on m-c, etc.): Yes
Risk to taking this patch (and alternatives if risky):None (two defunct tests)
String changes made by this patch:None
Comment 9 Marco Zehe (:MarcoZ) 2012-03-23 02:25:02 PDT
Comment on attachment 605820 [details] [diff] [review]
patch

[Approval Request Comment]
Regression caused by (bug #): unknown
User impact if declined: frequent crashes
Testing completed (on m-c, etc.): Yes
Risk to taking this patch (and alternatives if risky):none (two defunct checks)
String changes made by this patch:none
Comment 10 Alex Keybl [:akeybl] 2012-03-26 13:55:10 PDT
Comment on attachment 605820 [details] [diff] [review]
patch

[Triage Comment]
Low risk, first appearing in Firefox 12. Approved for Beta 12 and Aurora 13.
Comment 11 Marco Zehe (:MarcoZ) 2012-03-27 00:13:35 PDT
Landed on Aurora on surkov's behalf: http://hg.mozilla.org/releases/mozilla-aurora/rev/1441fec02ec6
Comment 12 Marco Zehe (:MarcoZ) 2012-03-27 04:33:26 PDT
Landed on mozilla-beta on surkov's behalf: https://hg.mozilla.org/releases/mozilla-beta/rev/ad869b73e5b9
Comment 13 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2012-03-29 12:10:33 PDT
Is there a testcase for this bug or is it simply a matter of checking crashstats?
Comment 14 Marcia Knous [:marcia - use ni] 2012-03-29 13:10:47 PDT
2012032604 is this last build so far that is showing crashes in this signature.
Comment 15 Marco Zehe (:MarcoZ) 2012-03-29 23:13:12 PDT
It is oly a matter of checking crash-stats, esp for Aurora and Beta now.
Comment 16 Scoobidiver (away) 2012-03-30 00:34:09 PDT
The latest crash in Aurora happened with 13.0a2/20120326042011.
Let's wait for Beta as 12.0b3 is not yet released.
Comment 17 Mihaela Velimiroviciu (:mihaelav) 2012-04-03 01:35:01 PDT
The latest crash in Beta was with the build 20120321033733 (12.0b2); no crashes were reported with 12.0b3 build.
Marking this verified for Beta, as well.
Also, no crashes were found on Nightly (14.0a1) builds, either.

Note You need to log in before you can comment on or make changes to this bug.